Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Text
Imports System.Windows.Forms
Imports Syncfusion.Windows.Forms.Grid

Namespace F80330
	Partial Public Class Form1
		Inherits Form
		Public Sub New()
			InitializeComponent()
			Me.gridControl1.Model.Options.AllowSelection = GridSelectionFlags.Any
		End Sub

		Private r As New Random(1245321)
		Private Sub Form1_Load(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Load
			For i As Integer = 1 To 10
				For j As Integer = 1 To 5
					Me.gridControl1(i, j).Text = r.Next(10, 50).ToString ()
				Next j
			Next i
			AddHandler gridControl1.MouseMove, AddressOf gridControl1_MouseMove
		End Sub

		Private pt As Point
		Private Sub gridControl1_MouseMove(ByVal sender As Object, ByVal e As MouseEventArgs)
			pt = New Point(e.X, e.Y)
			Dim range As GridRangeInfo = Me.gridControl1.PointToRangeInfo(pt)
			Dim list As GridRangeInfoList = Nothing
			If Me.gridControl1.Selections.Ranges.AnyRangeIntersects(range) Then
				Me.gridControl1.Selections.GetSelectedRanges(list, True)
				For i As Integer = 0 To list.Count - 1
					If list(i).Contains(range) Then
						If list(i).RangeType = GridRangeInfoType.Cells Then
							startrow = list(i).Top
							endrow = list(i).Bottom
							startcol = list(i).Left
							endcol = list(i).Right

							SelectedRangeSum(startrow, endrow, startcol, endcol)
							Me.toolTip1.Active = True
                            Me.toolTip1.SetToolTip(Me.gridControl1, sum.ToString())

						ElseIf list(i).RangeType = GridRangeInfoType.Cols Then
							startrow = Me.gridControl1.Rows.HeaderCount + 1
							endrow = Me.gridControl1.Rows.HeaderCount + 10
							startcol = list(i).Left
							endcol = list(i).Right

							SelectedRangeSum(startrow, endrow, startcol, endcol)
							Me.toolTip1.Active = True
                            Me.toolTip1.SetToolTip(Me.gridControl1, sum.ToString())

						ElseIf list(i).RangeType = GridRangeInfoType.Rows Then
							startrow = list(i).Top
							endrow = list(i).Bottom
							startcol = Me.gridControl1.Cols.HeaderCount +1
							endcol = Me.gridControl1.Cols.HeaderCount + 5

							SelectedRangeSum(startrow, endrow, startcol, endcol)
							Me.toolTip1.Active = True
							Me.toolTip1.SetToolTip(Me.gridControl1, sum.ToString())
						End If
					End If
				Next i

			Else
				Me.toolTip1.Active = False
			End If
		End Sub

		Private sum As Integer
		Private startrow As Integer
		Private endrow As Integer
		Private startcol As Integer
		Private endcol As Integer
		Private Sub SelectedRangeSum(ByVal rowstart As Integer, ByVal rowend As Integer, ByVal colstart As Integer, ByVal colend As Integer)
			sum = 0
			For i As Integer = rowstart To rowend
				For j As Integer = colstart To colend
					sum += Integer.Parse(Me.gridControl1(i, j).Text)
				Next j
			Next i
		End Sub
	End Class
End Namespace